Subject: bug#18253: 24.4.50; doc string of `remq': correct it per the doc of `remove'

From: Drew Adams <[email-masked]>
Date: Tue, 26 Aug 2014 11:57:12 -0700 (PDT)

> It should just say that the returned list may share some elements
> with the original argument, but that no element was modified by
> side-effect.

Why would the question of whether an *element* was modified even come
up?  That seems like a red herring, bound only to confuse people.
The question that arises for users is about sharing/modification of
the list structure, not elements.  (Yes, of course an element can
itself be a list.)

There is nothing wrong with letting users know the actual behavior.
It would be helpful to provide the kind of information that Emacs
provides (and all Lisps provide) for `member': "The value is actually
the tail of LIST whose car is ELT."

But the main point - the point of the bug report, is that it is not
correct to say, as we say now, that `remq' "Returns LIST with all
occurrences of ELT removed."  It does that only when all of the ELT
occurrences occur before any non-ELT occurrences.